#!/usr/local/bin/perl -s
# perl subroutine to convert time in form YYYY/MM/DD hh:mm:ss to seconds since
# Jan 1, 1970 UTC.
# Calling sequence:   sec = &ymdtime_to_sec (date, time);
#                     where date is YYYY/MM/DD and time is hh:mm:ss
#
#
# akt 8/96
#
# Mod. akt 2/12/98 - If input date is before 1970 or month or day are invalid, 
# timegm subroutine hangs, so this routine returns a 0 for those cases.


require "timelocal.pl";

sub ymdtime_to_sec
{
        local($ymd, $time) = @_;
        #print "ymd=$ymd\n";
        #print "time=$time\n";
        ($y,$mo,$d) = split ('\/', $ymd);
	#print "y,mo,d = $y, $mo, $d, \n";
        ($h,$m,$s) = split (':', $time);
	$result = 0.;
        if ($y  > 1970 &&
	    $mo > 0 && $mo < 13 &&
	    $d  > 0 && $d  < 32 ) {$result = &timegm ($s, $m, $h, $d, $mo-1, $y-1900);}
	$sec = $result;
}
